import * as React from 'react';
import { IMonacoEditorProps, IMonacoEditorTextProps, IMonacoDiffEditorProps } from '@workbench-stack/components';
import { IEditorInput } from '@workbench-stack/core';
export declare type IEditorComponentProps = {
    input: IEditorInput;
    visibleEditorId: string;
};
export declare type IEditorTextProps = IMonacoEditorTextProps & IEditorComponentProps;
export declare type IEditorDiffTextProps = IMonacoDiffEditorProps & IEditorComponentProps;
export declare type IEditorProps = IEditorTextProps | IEditorDiffTextProps;
declare type IEditorSlotProps = Exclude<IMonacoEditorProps, 'uri'> & {
    input: IEditorInput;
};
export declare const EditorContributionFill: {
    (props: IEditorTextProps | IEditorDiffTextProps | {
        children: (api: IEditorProps) => React.ReactNode;
    } | {
        render: (api: IEditorProps) => React.ReactNode;
    }): JSX.Element;
    displayName: string;
}, EditorSlot: {
    (props: {
        fillProps: IEditorProps;
    }): JSX.Element;
    displayName: string;
};
export declare const Editor: React.FC<IEditorSlotProps>;
export {};
