import * as SchemaTypes from '@workbench-stack/core';
import { DocumentNode } from 'graphql';
import * as ApolloReactCommon from '@apollo/react-common';
import * as ApolloReactHooks from '@apollo/react-hooks';
export declare const TerminalConfigurationFragmentDoc: DocumentNode;
export declare const SearchConfigurationFragmentDoc: DocumentNode;
export declare const LanguagesConfigurationFragmentDoc: DocumentNode;
export declare const FilesConfigurationFragmentDoc: DocumentNode;
export declare const GitConfigurationFragmentDoc: DocumentNode;
export declare const ViewerSettingsFragmentDoc: DocumentNode;
export declare const AllContextFragmentDoc: DocumentNode;
export declare const FinalConfigurationFragmentDoc: DocumentNode;
export declare const ResourceContextFragmentDoc: DocumentNode;
export declare const installDocument: DocumentNode;
export declare function useinstallMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>): [(options?: ApolloReactCommon.MutationFunctionOptions<{
    __typename?: "Mutation";
} & {
    install: {
        __typename?: "ExtensionIdentifier";
    } & Pick<SchemaTypes.IExtensionIdentifier, "id" | "uuid">;
}, SchemaTypes.IinstallMutationVariables>) => Promise<ApolloReactCommon.ExecutionResult<{
    __typename?: "Mutation";
} & {
    install: {
        __typename?: "ExtensionIdentifier";
    } & Pick<SchemaTypes.IExtensionIdentifier, "id" | "uuid">;
}>>, ApolloReactCommon.MutationResult<{
    __typename?: "Mutation";
} & {
    install: {
        __typename?: "ExtensionIdentifier";
    } & Pick<SchemaTypes.IExtensionIdentifier, "id" | "uuid">;
}>];
export declare type installMutationHookResult = ReturnType<typeof useinstallMutation>;
export declare type installMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IinstallMutation>;
export declare type installMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IinstallMutation, SchemaTypes.IinstallMutationVariables>;
export declare const providerDefinitionDocument: DocumentNode;
export declare function useproviderDefinitionMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>): [(options?: ApolloReactCommon.MutationFunctionOptions<{
    __typename?: "Mutation";
} & Pick<SchemaTypes.IMutation, "hoverProviderDefinition">, SchemaTypes.IproviderDefinitionMutationVariables>) => Promise<ApolloReactCommon.ExecutionResult<{
    __typename?: "Mutation";
} & Pick<SchemaTypes.IMutation, "hoverProviderDefinition">>>, ApolloReactCommon.MutationResult<{
    __typename?: "Mutation";
} & Pick<SchemaTypes.IMutation, "hoverProviderDefinition">>];
export declare type providerDefinitionMutationHookResult = ReturnType<typeof useproviderDefinitionMutation>;
export declare type providerDefinitionMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IproviderDefinitionMutation>;
export declare type providerDefinitionMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IproviderDefinitionMutation, SchemaTypes.IproviderDefinitionMutationVariables>;
export declare const ExtensionsByLimitDocument: DocumentNode;
export declare function useExtensionsByLimitQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>): ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    extensionRegistry: {
        __typename?: "ExtensionRegistry";
    } & {
        extensions: {
            __typename?: "RegistryExtensionConnection";
        } & {
            nodes: ({
                __typename?: "RegistryExtension";
            } & Pick<SchemaTypes.IRegistryExtension, "id" | "url" | "extensionID" | "viewerCanAdminister"> & {
                manifest: {
                    __typename?: "ExtensionManifest";
                } & Pick<SchemaTypes.IExtensionManifest, "name" | "raw" | "activationEvents">;
            })[];
        };
    };
}, SchemaTypes.IExtensionsByLimitQueryVariables>;
export declare function useExtensionsByLimitLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>): [(options?: ApolloReactHooks.QueryLazyOptions<SchemaTypes.IExtensionsByLimitQueryVariables>) => void, ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    extensionRegistry: {
        __typename?: "ExtensionRegistry";
    } & {
        extensions: {
            __typename?: "RegistryExtensionConnection";
        } & {
            nodes: ({
                __typename?: "RegistryExtension";
            } & Pick<SchemaTypes.IRegistryExtension, "id" | "url" | "extensionID" | "viewerCanAdminister"> & {
                manifest: {
                    __typename?: "ExtensionManifest";
                } & Pick<SchemaTypes.IExtensionManifest, "name" | "raw" | "activationEvents">;
            })[];
        };
    };
}, SchemaTypes.IExtensionsByLimitQueryVariables>];
export declare type ExtensionsByLimitQueryHookResult = ReturnType<typeof useExtensionsByLimitQuery>;
export declare type ExtensionsByLimitLazyQueryHookResult = ReturnType<typeof useExtensionsByLimitLazyQuery>;
export declare type ExtensionsByLimitQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsByLimitQuery, SchemaTypes.IExtensionsByLimitQueryVariables>;
export declare const ExtensionsDocument: DocumentNode;
export declare function useExtensionsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>): ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    extensions: {
        __typename?: "RegistryExtensionConnection";
    } & {
        nodes: ({
            __typename?: "RegistryExtension";
        } & Pick<SchemaTypes.IRegistryExtension, "id" | "url" | "extensionID" | "viewerCanAdminister" | "activationEvents"> & {
            releases: ({
                __typename?: "ExtensionRelease";
            } & Pick<SchemaTypes.IExtensionRelease, "extensionID" | "version" | "bundleURL">)[];
            manifest: {
                __typename?: "ExtensionManifest";
            } & Pick<SchemaTypes.IExtensionManifest, "main" | "name" | "extensionID" | "raw" | "activationEvents" | "version" | "bundleURL" | "badges" | "preview" | "keywords" | "license" | "homepage" | "publisher" | "categories" | "description" | "displayName" | "dependencies" | "extensionDependencies" | "bundle"> & {
                assets: ({
                    __typename?: "Assets";
                } & Pick<SchemaTypes.IAssets, "Type" | "Content">)[];
                scripts: {
                    __typename?: "Scripts";
                } & Pick<SchemaTypes.IScripts, "cdebasebuild" | "cdebasepublish">;
                bundles: {
                    __typename?: "Bundles";
                } & Pick<SchemaTypes.IBundles, "server" | "browser">;
                extension: {
                    __typename?: "ExtensionPackageType";
                } & Pick<SchemaTypes.IExtensionPackageType, "type">;
                engines: {
                    __typename?: "Engines";
                } & Pick<SchemaTypes.IEngines, "node" | "vscode">;
                author: {
                    __typename?: "Author";
                } & Pick<SchemaTypes.IAuthor, "name">;
                galleryBanner: {
                    __typename?: "GalleryBanner";
                } & Pick<SchemaTypes.IGalleryBanner, "theme" | "color">;
                contributes: {
                    __typename?: "ExtensionContributions";
                } & {
                    menus: {
                        __typename?: "Menus";
                    } & {
                        commandPalette: ({
                            __typename?: "MenuItemAction";
                        } & Pick<SchemaTypes.IMenuItemAction, "action" | "when">)[];
                        explorer: {
                            __typename?: "MenuItemActionContext";
                        } & {
                            context: ({
                                __typename?: "MenuItemAction";
                            } & Pick<SchemaTypes.IMenuItemAction, "action" | "when">)[];
                        };
                        editor: {
                            __typename?: "MenuItemActionEditor";
                        } & {
                            context: ({
                                __typename?: "MenuItemAction";
                            } & Pick<SchemaTypes.IMenuItemAction, "action" | "when">)[];
                            title: {
                                __typename?: "MenuItemActionEditorTitle";
                            } & {
                                own: ({
                                    __typename?: "MenuItemAction";
                                } & Pick<SchemaTypes.IMenuItemAction, "action" | "when">)[];
                                context: ({
                                    __typename?: "MenuItemAction";
                                } & Pick<SchemaTypes.IMenuItemAction, "action" | "when">)[];
                            };
                        };
                    };
                    actions: ({
                        __typename?: "Actions";
                    } & Pick<SchemaTypes.IActions, "title" | "id" | "command" | "category"> & {
                        actionItem: {
                            __typename?: "ActionItem";
                        } & Pick<SchemaTypes.IActionItem, "label" | "description">;
                    })[];
                };
            };
        })[];
    };
}, SchemaTypes.IExtensionsQueryVariables>;
export declare function useExtensionsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>): [(options?: ApolloReactHooks.QueryLazyOptions<SchemaTypes.IExtensionsQueryVariables>) => void, ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    extensions: {
        __typename?: "RegistryExtensionConnection";
    } & {
        nodes: ({
            __typename?: "RegistryExtension";
        } & Pick<SchemaTypes.IRegistryExtension, "id" | "url" | "extensionID" | "viewerCanAdminister" | "activationEvents"> & {
            releases: ({
                __typename?: "ExtensionRelease";
            } & Pick<SchemaTypes.IExtensionRelease, "extensionID" | "version" | "bundleURL">)[];
            manifest: {
                __typename?: "ExtensionManifest";
            } & Pick<SchemaTypes.IExtensionManifest, "main" | "name" | "extensionID" | "raw" | "activationEvents" | "version" | "bundleURL" | "badges" | "preview" | "keywords" | "license" | "homepage" | "publisher" | "categories" | "description" | "displayName" | "dependencies" | "extensionDependencies" | "bundle"> & {
                assets: ({
                    __typename?: "Assets";
                } & Pick<SchemaTypes.IAssets, "Type" | "Content">)[];
                scripts: {
                    __typename?: "Scripts";
                } & Pick<SchemaTypes.IScripts, "cdebasebuild" | "cdebasepublish">;
                bundles: {
                    __typename?: "Bundles";
                } & Pick<SchemaTypes.IBundles, "server" | "browser">;
                extension: {
                    __typename?: "ExtensionPackageType";
                } & Pick<SchemaTypes.IExtensionPackageType, "type">;
                engines: {
                    __typename?: "Engines";
                } & Pick<SchemaTypes.IEngines, "node" | "vscode">;
                author: {
                    __typename?: "Author";
                } & Pick<SchemaTypes.IAuthor, "name">;
                galleryBanner: {
                    __typename?: "GalleryBanner";
                } & Pick<SchemaTypes.IGalleryBanner, "theme" | "color">;
                contributes: {
                    __typename?: "ExtensionContributions";
                } & {
                    menus: {
                        __typename?: "Menus";
                    } & {
                        commandPalette: ({
                            __typename?: "MenuItemAction";
                        } & Pick<SchemaTypes.IMenuItemAction, "action" | "when">)[];
                        explorer: {
                            __typename?: "MenuItemActionContext";
                        } & {
                            context: ({
                                __typename?: "MenuItemAction";
                            } & Pick<SchemaTypes.IMenuItemAction, "action" | "when">)[];
                        };
                        editor: {
                            __typename?: "MenuItemActionEditor";
                        } & {
                            context: ({
                                __typename?: "MenuItemAction";
                            } & Pick<SchemaTypes.IMenuItemAction, "action" | "when">)[];
                            title: {
                                __typename?: "MenuItemActionEditorTitle";
                            } & {
                                own: ({
                                    __typename?: "MenuItemAction";
                                } & Pick<SchemaTypes.IMenuItemAction, "action" | "when">)[];
                                context: ({
                                    __typename?: "MenuItemAction";
                                } & Pick<SchemaTypes.IMenuItemAction, "action" | "when">)[];
                            };
                        };
                    };
                    actions: ({
                        __typename?: "Actions";
                    } & Pick<SchemaTypes.IActions, "title" | "id" | "command" | "category"> & {
                        actionItem: {
                            __typename?: "ActionItem";
                        } & Pick<SchemaTypes.IActionItem, "label" | "description">;
                    })[];
                };
            };
        })[];
    };
}, SchemaTypes.IExtensionsQueryVariables>];
export declare type ExtensionsQueryHookResult = ReturnType<typeof useExtensionsQuery>;
export declare type ExtensionsLazyQueryHookResult = ReturnType<typeof useExtensionsLazyQuery>;
export declare type ExtensionsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IExtensionsQuery, SchemaTypes.IExtensionsQueryVariables>;
export declare const galleryExtensionDocument: DocumentNode;
export declare function usegalleryExtensionQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>): ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    galleryExtension: {
        __typename?: "GalleryExtension";
    } & Pick<SchemaTypes.IGalleryExtension, "name" | "id" | "version" | "publisher" | "description" | "displayName" | "icon" | "installCount" | "publisherDisplayName" | "rating" | "ratingCount"> & {
        assets: {
            __typename?: "GalleryExtensionAssets";
        } & {
            download: {
                __typename?: "GalleryExtensionAsset";
            } & Pick<SchemaTypes.IGalleryExtensionAsset, "uri" | "fallbackUri">;
        };
        resources: {
            __typename?: "GalleryExtensionResources";
        } & Pick<SchemaTypes.IGalleryExtensionResources, "manifest" | "icon" | "readme" | "changelog">;
    };
}, SchemaTypes.IgalleryExtensionQueryVariables>;
export declare function usegalleryExtensionLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>): [(options?: ApolloReactHooks.QueryLazyOptions<SchemaTypes.IgalleryExtensionQueryVariables>) => void, ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    galleryExtension: {
        __typename?: "GalleryExtension";
    } & Pick<SchemaTypes.IGalleryExtension, "name" | "id" | "version" | "publisher" | "description" | "displayName" | "icon" | "installCount" | "publisherDisplayName" | "rating" | "ratingCount"> & {
        assets: {
            __typename?: "GalleryExtensionAssets";
        } & {
            download: {
                __typename?: "GalleryExtensionAsset";
            } & Pick<SchemaTypes.IGalleryExtensionAsset, "uri" | "fallbackUri">;
        };
        resources: {
            __typename?: "GalleryExtensionResources";
        } & Pick<SchemaTypes.IGalleryExtensionResources, "manifest" | "icon" | "readme" | "changelog">;
    };
}, SchemaTypes.IgalleryExtensionQueryVariables>];
export declare type galleryExtensionQueryHookResult = ReturnType<typeof usegalleryExtensionQuery>;
export declare type galleryExtensionLazyQueryHookResult = ReturnType<typeof usegalleryExtensionLazyQuery>;
export declare type galleryExtensionQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IgalleryExtensionQuery, SchemaTypes.IgalleryExtensionQueryVariables>;
export declare const galleryDocument: DocumentNode;
export declare function usegalleryQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>): ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    gallery: {
        __typename?: "GalleryPager";
    } & Pick<SchemaTypes.IGalleryPager, "page"> & {
        firstPage: ({
            __typename?: "GalleryExtension";
        } & Pick<SchemaTypes.IGalleryExtension, "name" | "id" | "version" | "publisher" | "description" | "displayName" | "icon" | "installCount" | "publisherDisplayName" | "rating" | "ratingCount"> & {
            assets: {
                __typename?: "GalleryExtensionAssets";
            } & {
                download: {
                    __typename?: "GalleryExtensionAsset";
                } & Pick<SchemaTypes.IGalleryExtensionAsset, "uri" | "fallbackUri">;
            };
        })[];
    };
}, SchemaTypes.IgalleryQueryVariables>;
export declare function usegalleryLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>): [(options?: ApolloReactHooks.QueryLazyOptions<SchemaTypes.IgalleryQueryVariables>) => void, ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    gallery: {
        __typename?: "GalleryPager";
    } & Pick<SchemaTypes.IGalleryPager, "page"> & {
        firstPage: ({
            __typename?: "GalleryExtension";
        } & Pick<SchemaTypes.IGalleryExtension, "name" | "id" | "version" | "publisher" | "description" | "displayName" | "icon" | "installCount" | "publisherDisplayName" | "rating" | "ratingCount"> & {
            assets: {
                __typename?: "GalleryExtensionAssets";
            } & {
                download: {
                    __typename?: "GalleryExtensionAsset";
                } & Pick<SchemaTypes.IGalleryExtensionAsset, "uri" | "fallbackUri">;
            };
        })[];
    };
}, SchemaTypes.IgalleryQueryVariables>];
export declare type galleryQueryHookResult = ReturnType<typeof usegalleryQuery>;
export declare type galleryLazyQueryHookResult = ReturnType<typeof usegalleryLazyQuery>;
export declare type galleryQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IgalleryQuery, SchemaTypes.IgalleryQueryVariables>;
export declare const ViewerSettingsDocument: DocumentNode;
export declare function useViewerSettingsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>): ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    viewerSettings: {
        __typename?: "SettingsCascade";
    } & Pick<SchemaTypes.ISettingsCascade, "final">;
}, SchemaTypes.IViewerSettingsQueryVariables>;
export declare function useViewerSettingsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>): [(options?: ApolloReactHooks.QueryLazyOptions<SchemaTypes.IViewerSettingsQueryVariables>) => void, ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    viewerSettings: {
        __typename?: "SettingsCascade";
    } & Pick<SchemaTypes.ISettingsCascade, "final">;
}, SchemaTypes.IViewerSettingsQueryVariables>];
export declare type ViewerSettingsQueryHookResult = ReturnType<typeof useViewerSettingsQuery>;
export declare type ViewerSettingsLazyQueryHookResult = ReturnType<typeof useViewerSettingsLazyQuery>;
export declare type ViewerSettingsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IViewerSettingsQuery, SchemaTypes.IViewerSettingsQueryVariables>;
export declare const saveUserSettingsDocument: DocumentNode;
export declare function usesaveUserSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>): [(options?: ApolloReactCommon.MutationFunctionOptions<{
    __typename?: "Mutation";
} & {
    saveUserSettings: {
        __typename?: "UserPreferencesSaveResponse";
    } & Pick<SchemaTypes.IUserPreferencesSaveResponse, "id">;
}, SchemaTypes.IsaveUserSettingsMutationVariables>) => Promise<ApolloReactCommon.ExecutionResult<{
    __typename?: "Mutation";
} & {
    saveUserSettings: {
        __typename?: "UserPreferencesSaveResponse";
    } & Pick<SchemaTypes.IUserPreferencesSaveResponse, "id">;
}>>, ApolloReactCommon.MutationResult<{
    __typename?: "Mutation";
} & {
    saveUserSettings: {
        __typename?: "UserPreferencesSaveResponse";
    } & Pick<SchemaTypes.IUserPreferencesSaveResponse, "id">;
}>];
export declare type saveUserSettingsMutationHookResult = ReturnType<typeof usesaveUserSettingsMutation>;
export declare type saveUserSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IsaveUserSettingsMutation>;
export declare type saveUserSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IsaveUserSettingsMutation, SchemaTypes.IsaveUserSettingsMutationVariables>;
export declare const saveWorkspaceSettingsDocument: DocumentNode;
export declare function usesaveWorkspaceSettingsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>): [(options?: ApolloReactCommon.MutationFunctionOptions<{
    __typename?: "Mutation";
} & {
    saveWorkspaceSettings: {
        __typename?: "SaveWorkspaceRes";
    } & Pick<SchemaTypes.ISaveWorkspaceRes, "updated">;
}, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>) => Promise<ApolloReactCommon.ExecutionResult<{
    __typename?: "Mutation";
} & {
    saveWorkspaceSettings: {
        __typename?: "SaveWorkspaceRes";
    } & Pick<SchemaTypes.ISaveWorkspaceRes, "updated">;
}>>, ApolloReactCommon.MutationResult<{
    __typename?: "Mutation";
} & {
    saveWorkspaceSettings: {
        __typename?: "SaveWorkspaceRes";
    } & Pick<SchemaTypes.ISaveWorkspaceRes, "updated">;
}>];
export declare type saveWorkspaceSettingsMutationHookResult = ReturnType<typeof usesaveWorkspaceSettingsMutation>;
export declare type saveWorkspaceSettingsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IsaveWorkspaceSettingsMutation>;
export declare type saveWorkspaceSettingsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IsaveWorkspaceSettingsMutation, SchemaTypes.IsaveWorkspaceSettingsMutationVariables>;
export declare const DefaultPreferencesDocument: DocumentNode;
export declare function useDefaultPreferencesQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>): ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    defaultPreferences: {
        __typename?: "DefaultPreferencesResponse";
    } & {
        preferences: ({
            __typename?: "PreferencesType";
        } & Pick<SchemaTypes.IPreferencesType, "type"> & {
            data: ({
                __typename?: "PreferenceItem";
            } & Pick<SchemaTypes.IPreferenceItem, "name" | "description" | "type" | "default" | "categoryType" | "settings" | "enum" | "enumDescriptions">)[];
        })[];
    };
}, SchemaTypes.IDefaultPreferencesQueryVariables>;
export declare function useDefaultPreferencesLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>): [(options?: ApolloReactHooks.QueryLazyOptions<SchemaTypes.IDefaultPreferencesQueryVariables>) => void, ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    defaultPreferences: {
        __typename?: "DefaultPreferencesResponse";
    } & {
        preferences: ({
            __typename?: "PreferencesType";
        } & Pick<SchemaTypes.IPreferencesType, "type"> & {
            data: ({
                __typename?: "PreferenceItem";
            } & Pick<SchemaTypes.IPreferenceItem, "name" | "description" | "type" | "default" | "categoryType" | "settings" | "enum" | "enumDescriptions">)[];
        })[];
    };
}, SchemaTypes.IDefaultPreferencesQueryVariables>];
export declare type DefaultPreferencesQueryHookResult = ReturnType<typeof useDefaultPreferencesQuery>;
export declare type DefaultPreferencesLazyQueryHookResult = ReturnType<typeof useDefaultPreferencesLazyQuery>;
export declare type DefaultPreferencesQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IDefaultPreferencesQuery, SchemaTypes.IDefaultPreferencesQueryVariables>;
export declare const FullConfigurationDocument: DocumentNode;
export declare function useFullConfigurationQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>): ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    viewerSettings: {
        __typename?: "SettingsCascade";
    } & {
        __typename?: "SettingsCascade";
    } & Pick<SchemaTypes.ISettingsCascade, "final"> & {
        subjects: (({
            __typename?: "UserSettings";
        } & Pick<SchemaTypes.IUserSettings, "id" | "settingsURL"> & {
            latestSettings: {
                __typename?: "Settings";
            } & Pick<SchemaTypes.ISettings, "contents" | "createdAt">;
            settingsCascade: {
                __typename?: "SettingsCascade";
            } & {
                finalConfiguration: {
                    __typename?: "Configuration";
                } & {
                    terminal: {
                        __typename?: "Terminal";
                    } & {
                        __typename?: "Terminal";
                    } & {
                        integrated: {
                            __typename?: "Integrated";
                        } & Pick<SchemaTypes.IIntegrated, "setLocaleVariables"> & {
                            shell: {
                                __typename?: "Shell";
                            } & Pick<SchemaTypes.IShell, "osx" | "linux" | "windows" | "container">;
                            shellArgs: {
                                __typename?: "ShellArgs";
                            } & Pick<SchemaTypes.IShellArgs, "osx" | "linux" | "windows" | "container">;
                        };
                    };
                    search: {
                        __typename?: "Search";
                    } & {
                        __typename?: "Search";
                    } & Pick<SchemaTypes.ISearch, "location" | "smartCase" | "useRipgrep" | "useIgnoreFiles" | "followSymlinks" | "globalFindClipboard" | "exclude"> & {
                        quickOpen: {
                            __typename?: "SearchQuickOpen";
                        } & Pick<SchemaTypes.ISearchQuickOpen, "includeSymbols">;
                    };
                    languages: {
                        __typename?: "Languages";
                    } & {
                        __typename?: "Languages";
                    } & Pick<SchemaTypes.ILanguages, "go" | "css" | "html" | "json" | "yaml" | "typescript" | "javascript">;
                    output: {
                        __typename?: "Output";
                    } & Pick<SchemaTypes.IOutput, "maxChannelHistory">;
                    files: {
                        __typename?: "Files";
                    } & {
                        __typename?: "Files";
                    } & Pick<SchemaTypes.IFiles, "exclude" | "eol" | "hotExit" | "encoding" | "autoSave" | "autoSaveDelay" | "defaultLanguage" | "autoGuessEncoding" | "insertFinalNewline" | "trimTrailingWhitespace" | "useExperimentalFileWatcher" | "watcherExclude">;
                    git: {
                        __typename?: "Git";
                    } & {
                        __typename?: "Git";
                    } & Pick<SchemaTypes.IGit, "path" | "enabled" | "autofetch" | "countBadge" | "autorefresh" | "confirmSync" | "checkoutType" | "inputValidation" | "detectSubmodules" | "enableSmartCommit" | "ignoreLimitWarning" | "ignoreLegacyWarning" | "enableCommitSigning" | "defaultCloneDirectory" | "autoRepositoryDetection" | "ignoreMissingGitWarning" | "showInlineOpenFileAction" | "promptToSaveFilesBeforeCommit"> & {
                        decorations: {
                            __typename?: "GitDecorations";
                        } & Pick<SchemaTypes.IGitDecorations, "enabled">;
                    };
                };
            };
        }) | ({
            __typename?: "FolderSettings";
        } & Pick<SchemaTypes.IFolderSettings, "id" | "settingsURL"> & {
            latestSettings: {
                __typename?: "Settings";
            } & Pick<SchemaTypes.ISettings, "contents" | "createdAt">;
            settingsCascade: {
                __typename?: "SettingsCascade";
            } & {
                finalConfiguration: {
                    __typename?: "Configuration";
                } & {
                    terminal: {
                        __typename?: "Terminal";
                    } & {
                        __typename?: "Terminal";
                    } & {
                        integrated: {
                            __typename?: "Integrated";
                        } & Pick<SchemaTypes.IIntegrated, "setLocaleVariables"> & {
                            shell: {
                                __typename?: "Shell";
                            } & Pick<SchemaTypes.IShell, "osx" | "linux" | "windows" | "container">;
                            shellArgs: {
                                __typename?: "ShellArgs";
                            } & Pick<SchemaTypes.IShellArgs, "osx" | "linux" | "windows" | "container">;
                        };
                    };
                    search: {
                        __typename?: "Search";
                    } & {
                        __typename?: "Search";
                    } & Pick<SchemaTypes.ISearch, "location" | "smartCase" | "useRipgrep" | "useIgnoreFiles" | "followSymlinks" | "globalFindClipboard" | "exclude"> & {
                        quickOpen: {
                            __typename?: "SearchQuickOpen";
                        } & Pick<SchemaTypes.ISearchQuickOpen, "includeSymbols">;
                    };
                    languages: {
                        __typename?: "Languages";
                    } & {
                        __typename?: "Languages";
                    } & Pick<SchemaTypes.ILanguages, "go" | "css" | "html" | "json" | "yaml" | "typescript" | "javascript">;
                    output: {
                        __typename?: "Output";
                    } & Pick<SchemaTypes.IOutput, "maxChannelHistory">;
                    files: {
                        __typename?: "Files";
                    } & {
                        __typename?: "Files";
                    } & Pick<SchemaTypes.IFiles, "exclude" | "eol" | "hotExit" | "encoding" | "autoSave" | "autoSaveDelay" | "defaultLanguage" | "autoGuessEncoding" | "insertFinalNewline" | "trimTrailingWhitespace" | "useExperimentalFileWatcher" | "watcherExclude">;
                    git: {
                        __typename?: "Git";
                    } & {
                        __typename?: "Git";
                    } & Pick<SchemaTypes.IGit, "path" | "enabled" | "autofetch" | "countBadge" | "autorefresh" | "confirmSync" | "checkoutType" | "inputValidation" | "detectSubmodules" | "enableSmartCommit" | "ignoreLimitWarning" | "ignoreLegacyWarning" | "enableCommitSigning" | "defaultCloneDirectory" | "autoRepositoryDetection" | "ignoreMissingGitWarning" | "showInlineOpenFileAction" | "promptToSaveFilesBeforeCommit"> & {
                        decorations: {
                            __typename?: "GitDecorations";
                        } & Pick<SchemaTypes.IGitDecorations, "enabled">;
                    };
                };
            };
        }) | ({
            __typename?: "GlobalSettings";
        } & Pick<SchemaTypes.IGlobalSettings, "id" | "settingsURL"> & {
            latestSettings: {
                __typename?: "Settings";
            } & Pick<SchemaTypes.ISettings, "contents" | "createdAt">;
            settingsCascade: {
                __typename?: "SettingsCascade";
            } & {
                finalConfiguration: {
                    __typename?: "Configuration";
                } & {
                    terminal: {
                        __typename?: "Terminal";
                    } & {
                        __typename?: "Terminal";
                    } & {
                        integrated: {
                            __typename?: "Integrated";
                        } & Pick<SchemaTypes.IIntegrated, "setLocaleVariables"> & {
                            shell: {
                                __typename?: "Shell";
                            } & Pick<SchemaTypes.IShell, "osx" | "linux" | "windows" | "container">;
                            shellArgs: {
                                __typename?: "ShellArgs";
                            } & Pick<SchemaTypes.IShellArgs, "osx" | "linux" | "windows" | "container">;
                        };
                    };
                    search: {
                        __typename?: "Search";
                    } & {
                        __typename?: "Search";
                    } & Pick<SchemaTypes.ISearch, "location" | "smartCase" | "useRipgrep" | "useIgnoreFiles" | "followSymlinks" | "globalFindClipboard" | "exclude"> & {
                        quickOpen: {
                            __typename?: "SearchQuickOpen";
                        } & Pick<SchemaTypes.ISearchQuickOpen, "includeSymbols">;
                    };
                    languages: {
                        __typename?: "Languages";
                    } & {
                        __typename?: "Languages";
                    } & Pick<SchemaTypes.ILanguages, "go" | "css" | "html" | "json" | "yaml" | "typescript" | "javascript">;
                    output: {
                        __typename?: "Output";
                    } & Pick<SchemaTypes.IOutput, "maxChannelHistory">;
                    files: {
                        __typename?: "Files";
                    } & {
                        __typename?: "Files";
                    } & Pick<SchemaTypes.IFiles, "exclude" | "eol" | "hotExit" | "encoding" | "autoSave" | "autoSaveDelay" | "defaultLanguage" | "autoGuessEncoding" | "insertFinalNewline" | "trimTrailingWhitespace" | "useExperimentalFileWatcher" | "watcherExclude">;
                    git: {
                        __typename?: "Git";
                    } & {
                        __typename?: "Git";
                    } & Pick<SchemaTypes.IGit, "path" | "enabled" | "autofetch" | "countBadge" | "autorefresh" | "confirmSync" | "checkoutType" | "inputValidation" | "detectSubmodules" | "enableSmartCommit" | "ignoreLimitWarning" | "ignoreLegacyWarning" | "enableCommitSigning" | "defaultCloneDirectory" | "autoRepositoryDetection" | "ignoreMissingGitWarning" | "showInlineOpenFileAction" | "promptToSaveFilesBeforeCommit"> & {
                        decorations: {
                            __typename?: "GitDecorations";
                        } & Pick<SchemaTypes.IGitDecorations, "enabled">;
                    };
                };
            };
        }))[];
    };
}, SchemaTypes.IFullConfigurationQueryVariables>;
export declare function useFullConfigurationLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>): [(options?: ApolloReactHooks.QueryLazyOptions<SchemaTypes.IFullConfigurationQueryVariables>) => void, ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    viewerSettings: {
        __typename?: "SettingsCascade";
    } & {
        __typename?: "SettingsCascade";
    } & Pick<SchemaTypes.ISettingsCascade, "final"> & {
        subjects: (({
            __typename?: "UserSettings";
        } & Pick<SchemaTypes.IUserSettings, "id" | "settingsURL"> & {
            latestSettings: {
                __typename?: "Settings";
            } & Pick<SchemaTypes.ISettings, "contents" | "createdAt">;
            settingsCascade: {
                __typename?: "SettingsCascade";
            } & {
                finalConfiguration: {
                    __typename?: "Configuration";
                } & {
                    terminal: {
                        __typename?: "Terminal";
                    } & {
                        __typename?: "Terminal";
                    } & {
                        integrated: {
                            __typename?: "Integrated";
                        } & Pick<SchemaTypes.IIntegrated, "setLocaleVariables"> & {
                            shell: {
                                __typename?: "Shell";
                            } & Pick<SchemaTypes.IShell, "osx" | "linux" | "windows" | "container">;
                            shellArgs: {
                                __typename?: "ShellArgs";
                            } & Pick<SchemaTypes.IShellArgs, "osx" | "linux" | "windows" | "container">;
                        };
                    };
                    search: {
                        __typename?: "Search";
                    } & {
                        __typename?: "Search";
                    } & Pick<SchemaTypes.ISearch, "location" | "smartCase" | "useRipgrep" | "useIgnoreFiles" | "followSymlinks" | "globalFindClipboard" | "exclude"> & {
                        quickOpen: {
                            __typename?: "SearchQuickOpen";
                        } & Pick<SchemaTypes.ISearchQuickOpen, "includeSymbols">;
                    };
                    languages: {
                        __typename?: "Languages";
                    } & {
                        __typename?: "Languages";
                    } & Pick<SchemaTypes.ILanguages, "go" | "css" | "html" | "json" | "yaml" | "typescript" | "javascript">;
                    output: {
                        __typename?: "Output";
                    } & Pick<SchemaTypes.IOutput, "maxChannelHistory">;
                    files: {
                        __typename?: "Files";
                    } & {
                        __typename?: "Files";
                    } & Pick<SchemaTypes.IFiles, "exclude" | "eol" | "hotExit" | "encoding" | "autoSave" | "autoSaveDelay" | "defaultLanguage" | "autoGuessEncoding" | "insertFinalNewline" | "trimTrailingWhitespace" | "useExperimentalFileWatcher" | "watcherExclude">;
                    git: {
                        __typename?: "Git";
                    } & {
                        __typename?: "Git";
                    } & Pick<SchemaTypes.IGit, "path" | "enabled" | "autofetch" | "countBadge" | "autorefresh" | "confirmSync" | "checkoutType" | "inputValidation" | "detectSubmodules" | "enableSmartCommit" | "ignoreLimitWarning" | "ignoreLegacyWarning" | "enableCommitSigning" | "defaultCloneDirectory" | "autoRepositoryDetection" | "ignoreMissingGitWarning" | "showInlineOpenFileAction" | "promptToSaveFilesBeforeCommit"> & {
                        decorations: {
                            __typename?: "GitDecorations";
                        } & Pick<SchemaTypes.IGitDecorations, "enabled">;
                    };
                };
            };
        }) | ({
            __typename?: "FolderSettings";
        } & Pick<SchemaTypes.IFolderSettings, "id" | "settingsURL"> & {
            latestSettings: {
                __typename?: "Settings";
            } & Pick<SchemaTypes.ISettings, "contents" | "createdAt">;
            settingsCascade: {
                __typename?: "SettingsCascade";
            } & {
                finalConfiguration: {
                    __typename?: "Configuration";
                } & {
                    terminal: {
                        __typename?: "Terminal";
                    } & {
                        __typename?: "Terminal";
                    } & {
                        integrated: {
                            __typename?: "Integrated";
                        } & Pick<SchemaTypes.IIntegrated, "setLocaleVariables"> & {
                            shell: {
                                __typename?: "Shell";
                            } & Pick<SchemaTypes.IShell, "osx" | "linux" | "windows" | "container">;
                            shellArgs: {
                                __typename?: "ShellArgs";
                            } & Pick<SchemaTypes.IShellArgs, "osx" | "linux" | "windows" | "container">;
                        };
                    };
                    search: {
                        __typename?: "Search";
                    } & {
                        __typename?: "Search";
                    } & Pick<SchemaTypes.ISearch, "location" | "smartCase" | "useRipgrep" | "useIgnoreFiles" | "followSymlinks" | "globalFindClipboard" | "exclude"> & {
                        quickOpen: {
                            __typename?: "SearchQuickOpen";
                        } & Pick<SchemaTypes.ISearchQuickOpen, "includeSymbols">;
                    };
                    languages: {
                        __typename?: "Languages";
                    } & {
                        __typename?: "Languages";
                    } & Pick<SchemaTypes.ILanguages, "go" | "css" | "html" | "json" | "yaml" | "typescript" | "javascript">;
                    output: {
                        __typename?: "Output";
                    } & Pick<SchemaTypes.IOutput, "maxChannelHistory">;
                    files: {
                        __typename?: "Files";
                    } & {
                        __typename?: "Files";
                    } & Pick<SchemaTypes.IFiles, "exclude" | "eol" | "hotExit" | "encoding" | "autoSave" | "autoSaveDelay" | "defaultLanguage" | "autoGuessEncoding" | "insertFinalNewline" | "trimTrailingWhitespace" | "useExperimentalFileWatcher" | "watcherExclude">;
                    git: {
                        __typename?: "Git";
                    } & {
                        __typename?: "Git";
                    } & Pick<SchemaTypes.IGit, "path" | "enabled" | "autofetch" | "countBadge" | "autorefresh" | "confirmSync" | "checkoutType" | "inputValidation" | "detectSubmodules" | "enableSmartCommit" | "ignoreLimitWarning" | "ignoreLegacyWarning" | "enableCommitSigning" | "defaultCloneDirectory" | "autoRepositoryDetection" | "ignoreMissingGitWarning" | "showInlineOpenFileAction" | "promptToSaveFilesBeforeCommit"> & {
                        decorations: {
                            __typename?: "GitDecorations";
                        } & Pick<SchemaTypes.IGitDecorations, "enabled">;
                    };
                };
            };
        }) | ({
            __typename?: "GlobalSettings";
        } & Pick<SchemaTypes.IGlobalSettings, "id" | "settingsURL"> & {
            latestSettings: {
                __typename?: "Settings";
            } & Pick<SchemaTypes.ISettings, "contents" | "createdAt">;
            settingsCascade: {
                __typename?: "SettingsCascade";
            } & {
                finalConfiguration: {
                    __typename?: "Configuration";
                } & {
                    terminal: {
                        __typename?: "Terminal";
                    } & {
                        __typename?: "Terminal";
                    } & {
                        integrated: {
                            __typename?: "Integrated";
                        } & Pick<SchemaTypes.IIntegrated, "setLocaleVariables"> & {
                            shell: {
                                __typename?: "Shell";
                            } & Pick<SchemaTypes.IShell, "osx" | "linux" | "windows" | "container">;
                            shellArgs: {
                                __typename?: "ShellArgs";
                            } & Pick<SchemaTypes.IShellArgs, "osx" | "linux" | "windows" | "container">;
                        };
                    };
                    search: {
                        __typename?: "Search";
                    } & {
                        __typename?: "Search";
                    } & Pick<SchemaTypes.ISearch, "location" | "smartCase" | "useRipgrep" | "useIgnoreFiles" | "followSymlinks" | "globalFindClipboard" | "exclude"> & {
                        quickOpen: {
                            __typename?: "SearchQuickOpen";
                        } & Pick<SchemaTypes.ISearchQuickOpen, "includeSymbols">;
                    };
                    languages: {
                        __typename?: "Languages";
                    } & {
                        __typename?: "Languages";
                    } & Pick<SchemaTypes.ILanguages, "go" | "css" | "html" | "json" | "yaml" | "typescript" | "javascript">;
                    output: {
                        __typename?: "Output";
                    } & Pick<SchemaTypes.IOutput, "maxChannelHistory">;
                    files: {
                        __typename?: "Files";
                    } & {
                        __typename?: "Files";
                    } & Pick<SchemaTypes.IFiles, "exclude" | "eol" | "hotExit" | "encoding" | "autoSave" | "autoSaveDelay" | "defaultLanguage" | "autoGuessEncoding" | "insertFinalNewline" | "trimTrailingWhitespace" | "useExperimentalFileWatcher" | "watcherExclude">;
                    git: {
                        __typename?: "Git";
                    } & {
                        __typename?: "Git";
                    } & Pick<SchemaTypes.IGit, "path" | "enabled" | "autofetch" | "countBadge" | "autorefresh" | "confirmSync" | "checkoutType" | "inputValidation" | "detectSubmodules" | "enableSmartCommit" | "ignoreLimitWarning" | "ignoreLegacyWarning" | "enableCommitSigning" | "defaultCloneDirectory" | "autoRepositoryDetection" | "ignoreMissingGitWarning" | "showInlineOpenFileAction" | "promptToSaveFilesBeforeCommit"> & {
                        decorations: {
                            __typename?: "GitDecorations";
                        } & Pick<SchemaTypes.IGitDecorations, "enabled">;
                    };
                };
            };
        }))[];
    };
}, SchemaTypes.IFullConfigurationQueryVariables>];
export declare type FullConfigurationQueryHookResult = ReturnType<typeof useFullConfigurationQuery>;
export declare type FullConfigurationLazyQueryHookResult = ReturnType<typeof useFullConfigurationLazyQuery>;
export declare type FullConfigurationQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFullConfigurationQuery, SchemaTypes.IFullConfigurationQueryVariables>;
export declare const WorkspacesDocument: DocumentNode;
export declare function useWorkspacesQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>): ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    workspaces: ({
        __typename?: "WorkspaceRes";
    } & Pick<SchemaTypes.IWorkspaceRes, "uri">)[];
}, SchemaTypes.IWorkspacesQueryVariables>;
export declare function useWorkspacesLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>): [(options?: ApolloReactHooks.QueryLazyOptions<SchemaTypes.IWorkspacesQueryVariables>) => void, ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    workspaces: ({
        __typename?: "WorkspaceRes";
    } & Pick<SchemaTypes.IWorkspaceRes, "uri">)[];
}, SchemaTypes.IWorkspacesQueryVariables>];
export declare type WorkspacesQueryHookResult = ReturnType<typeof useWorkspacesQuery>;
export declare type WorkspacesLazyQueryHookResult = ReturnType<typeof useWorkspacesLazyQuery>;
export declare type WorkspacesQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IWorkspacesQuery, SchemaTypes.IWorkspacesQueryVariables>;
export declare const FinalConfigurationDocument: DocumentNode;
export declare function useFinalConfigurationQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFinalConfigurationQuery, SchemaTypes.IFinalConfigurationQueryVariables>): ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    viewerSettings: {
        __typename?: "SettingsCascade";
    } & {
        finalConfiguration: {
            __typename?: "Configuration";
        } & {
            __typename?: "Configuration";
        } & {
            terminal: {
                __typename?: "Terminal";
            } & {
                __typename?: "Terminal";
            } & {
                integrated: {
                    __typename?: "Integrated";
                } & Pick<SchemaTypes.IIntegrated, "setLocaleVariables"> & {
                    shell: {
                        __typename?: "Shell";
                    } & Pick<SchemaTypes.IShell, "osx" | "linux" | "windows" | "container">;
                    shellArgs: {
                        __typename?: "ShellArgs";
                    } & Pick<SchemaTypes.IShellArgs, "osx" | "linux" | "windows" | "container">;
                };
            };
            search: {
                __typename?: "Search";
            } & {
                __typename?: "Search";
            } & Pick<SchemaTypes.ISearch, "location" | "smartCase" | "useRipgrep" | "useIgnoreFiles" | "followSymlinks" | "globalFindClipboard" | "exclude"> & {
                quickOpen: {
                    __typename?: "SearchQuickOpen";
                } & Pick<SchemaTypes.ISearchQuickOpen, "includeSymbols">;
            };
            languages: {
                __typename?: "Languages";
            } & {
                __typename?: "Languages";
            } & Pick<SchemaTypes.ILanguages, "go" | "css" | "html" | "json" | "yaml" | "typescript" | "javascript">;
            output: {
                __typename?: "Output";
            } & Pick<SchemaTypes.IOutput, "maxChannelHistory">;
            files: {
                __typename?: "Files";
            } & {
                __typename?: "Files";
            } & Pick<SchemaTypes.IFiles, "exclude" | "eol" | "hotExit" | "encoding" | "autoSave" | "autoSaveDelay" | "defaultLanguage" | "autoGuessEncoding" | "insertFinalNewline" | "trimTrailingWhitespace" | "useExperimentalFileWatcher" | "watcherExclude">;
            git: {
                __typename?: "Git";
            } & {
                __typename?: "Git";
            } & Pick<SchemaTypes.IGit, "path" | "enabled" | "autofetch" | "countBadge" | "autorefresh" | "confirmSync" | "checkoutType" | "inputValidation" | "detectSubmodules" | "enableSmartCommit" | "ignoreLimitWarning" | "ignoreLegacyWarning" | "enableCommitSigning" | "defaultCloneDirectory" | "autoRepositoryDetection" | "ignoreMissingGitWarning" | "showInlineOpenFileAction" | "promptToSaveFilesBeforeCommit"> & {
                decorations: {
                    __typename?: "GitDecorations";
                } & Pick<SchemaTypes.IGitDecorations, "enabled">;
            };
        };
    };
}, SchemaTypes.IFinalConfigurationQueryVariables>;
export declare function useFinalConfigurationLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFinalConfigurationQuery, SchemaTypes.IFinalConfigurationQueryVariables>): [(options?: ApolloReactHooks.QueryLazyOptions<SchemaTypes.IFinalConfigurationQueryVariables>) => void, ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    viewerSettings: {
        __typename?: "SettingsCascade";
    } & {
        finalConfiguration: {
            __typename?: "Configuration";
        } & {
            __typename?: "Configuration";
        } & {
            terminal: {
                __typename?: "Terminal";
            } & {
                __typename?: "Terminal";
            } & {
                integrated: {
                    __typename?: "Integrated";
                } & Pick<SchemaTypes.IIntegrated, "setLocaleVariables"> & {
                    shell: {
                        __typename?: "Shell";
                    } & Pick<SchemaTypes.IShell, "osx" | "linux" | "windows" | "container">;
                    shellArgs: {
                        __typename?: "ShellArgs";
                    } & Pick<SchemaTypes.IShellArgs, "osx" | "linux" | "windows" | "container">;
                };
            };
            search: {
                __typename?: "Search";
            } & {
                __typename?: "Search";
            } & Pick<SchemaTypes.ISearch, "location" | "smartCase" | "useRipgrep" | "useIgnoreFiles" | "followSymlinks" | "globalFindClipboard" | "exclude"> & {
                quickOpen: {
                    __typename?: "SearchQuickOpen";
                } & Pick<SchemaTypes.ISearchQuickOpen, "includeSymbols">;
            };
            languages: {
                __typename?: "Languages";
            } & {
                __typename?: "Languages";
            } & Pick<SchemaTypes.ILanguages, "go" | "css" | "html" | "json" | "yaml" | "typescript" | "javascript">;
            output: {
                __typename?: "Output";
            } & Pick<SchemaTypes.IOutput, "maxChannelHistory">;
            files: {
                __typename?: "Files";
            } & {
                __typename?: "Files";
            } & Pick<SchemaTypes.IFiles, "exclude" | "eol" | "hotExit" | "encoding" | "autoSave" | "autoSaveDelay" | "defaultLanguage" | "autoGuessEncoding" | "insertFinalNewline" | "trimTrailingWhitespace" | "useExperimentalFileWatcher" | "watcherExclude">;
            git: {
                __typename?: "Git";
            } & {
                __typename?: "Git";
            } & Pick<SchemaTypes.IGit, "path" | "enabled" | "autofetch" | "countBadge" | "autorefresh" | "confirmSync" | "checkoutType" | "inputValidation" | "detectSubmodules" | "enableSmartCommit" | "ignoreLimitWarning" | "ignoreLegacyWarning" | "enableCommitSigning" | "defaultCloneDirectory" | "autoRepositoryDetection" | "ignoreMissingGitWarning" | "showInlineOpenFileAction" | "promptToSaveFilesBeforeCommit"> & {
                decorations: {
                    __typename?: "GitDecorations";
                } & Pick<SchemaTypes.IGitDecorations, "enabled">;
            };
        };
    };
}, SchemaTypes.IFinalConfigurationQueryVariables>];
export declare type FinalConfigurationQueryHookResult = ReturnType<typeof useFinalConfigurationQuery>;
export declare type FinalConfigurationLazyQueryHookResult = ReturnType<typeof useFinalConfigurationLazyQuery>;
export declare type FinalConfigurationQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFinalConfigurationQuery, SchemaTypes.IFinalConfigurationQueryVariables>;
export declare const GetContextDocument: DocumentNode;
export declare function useGetContextQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>): ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    getContextData: {
        __typename?: "Context";
    } & {
        __typename?: "Context";
    } & Pick<SchemaTypes.IContext, "view" | "originalResourceScheme" | "viewItem" | "gitOpenRepositoryCount" | "isInDiffEditor" | "isInDiffRightEditor" | "resourceScheme" | "resourceFilename" | "resourceLangId" | "resource" | "resourceExtName" | "resourceSet" | "isFileSystemResource" | "inputFocus" | "suggestWidgetVisible" | "suggestWidgetMultipleSuggestions" | "suggestionMakesTextEdit" | "acceptSuggestionOnEnter" | "hasOtherSuggestions" | "groupFocusedInOpenEditors" | "dirtyEditor" | "resourceSelectedForCompare" | "fileCopied" | "breadcrumbsPossible" | "breadcrumbsVisible" | "breadcrumbsActive" | "canNavigateBack" | "canNavigateForward" | "canNavigateToLastEditLocation" | "dirtyDiffVisible" | "cancellableOperation" | "parameterHintsVisible" | "parameterHintsMultipleSignatures" | "markdownPreviewFocus" | "isMac" | "isLinux" | "isWindows" | "remoteAuthority" | "remoteConnectionState" | "hasMacNativeTabs" | "supportsWorkspaces" | "isDevelopment" | "workbenchState" | "workspaceFolderCount" | "remoteFileDialogVisible" | "isFullscreen" | "atEndOfWord" | "scmRepository" | "scmProvider" | "scmResourceGroup" | "inDiffEditorKey" | "isDominatedByLongLines" | "isWordWrapMinified" | "commentThread" | "commentThreadisEmpty" | "commentIsEmpty" | "commentEditorFocused" | "interfaceOverviewVisible" | "inReferenceSearchEditor" | "referenceSearchVisible" | "listFocus" | "listSupportsMultiSelect" | "listHasSelectionOrFocus" | "listDoubleSelection" | "listMultiSelection" | "listSupportsKeyboardNavigation" | "WorkbenchListAutomaticKeyboardNavigationKey" | "accessibilityHelpWidgetVisible" | "inQuickOpenKey" | "supportedCodeAction" | "hasSymbols" | "hasSnippetCompletions" | "messageVisible" | "editorHasCallHierarchyProvider" | "callHierarchyVisible" | "searchViewletVisible" | "searchViewletFocus" | "inputBoxFocus" | "searchInputBoxFocus" | "replaceInputBoxFocus" | "patternIncludesInputBoxFocus" | "patternExcludesInputBoxFocus" | "replaceActive" | "hasSearchResult" | "firstMatchFocus" | "fileMatchOrMatchFocus" | "fileMatchOrFolderMatchFocus" | "fileMatchFocus" | "folderMatchFocus" | "matchFocus" | "inRecentFilesPicker" | "inWindowsPicker" | "findWidgetVisible" | "findInputFocussed" | "replaceInputFocussed" | "editorTextFocus" | "editorFocus" | "textInputFocus" | "editorReadonly" | "editorHasSelection" | "editorHasMultipleSelections" | "editorTabMoveFocus" | "isInEmbeddedEditor" | "canUndo" | "canRedo" | "editorLangId" | "editorHasCompletionItemProvider" | "editorHasCodeActionsProvider" | "editorHasDefinitionProvider" | "editorHasDeclarationProvider" | "editorHasImplementationProvider" | "editorHasTypeDefinitionProvider" | "editorHasHoverProvider" | "editorHadDocumentHighlightProvider" | "editorHasDocumentSymbolProvider" | "editorHasReferenceProvider" | "editorHasRenameProvider" | "editorHasSignatureHelpProvider" | "editorHasDocumentFormattingProvider" | "editorHasDocumentSelectionFormattingProvider" | "editorHasMultipleDocumentSelectionFormattingProvider" | "activeEditor" | "editorIsOpen" | "editorPinned" | "groupActiveEditorDirty" | "groupEditorsCount" | "textCompareEditorVisible" | "textCompareEditorActive" | "activeEditorGroupEmpty" | "multipleEditorGroups" | "inZenMode" | "inCenteredLayout" | "splitEditorsVertically" | "sideBarVisible" | "sideBarFocus" | "activeViewlet" | "activePanel" | "panelFocus" | "panelPosition" | "debugType" | "debugConfigurationType" | "debugState" | "inDebugMode" | "inDebugRepl" | "breakpointWidgetVisible" | "watchExpressionsFocused" | "variablesFocused" | "expressionSelected" | "breakpointSelected" | "callStackItemType" | "loadedScriptsSupported" | "loadedScriptsItemType" | "focusedSessionIsAttach" | "stepBackSupported" | "restartFrameSupported" | "inSettingsEditor" | "inSettingsJSONEditor" | "inSettingsSearch" | "settingsTocRowFocus" | "inKeybindings" | "inKeybindingsSearch" | "keybindingFocus" | "explorerViewletVisible" | "explorerResourceIsFolder" | "explorerResourceReadonly" | "explorerResourceIsRoot" | "explorerResourceCut" | "explorerResourceMoveableToTrash" | "filesExplorerFocus" | "openEditorsVisible" | "openEditorsFocus" | "explorerViewletFocus" | "terminalIsOpen" | "terminalFocus" | "terminalTextSelected" | "terminalFindWidgetVisible" | "terminalFindWidgetInputFocused" | "terminalFindWidgetFocused" | "webviewFindWidgetVisible" | "taskRunning" | "referenceSearchTreeFocused" | "interactivePlaygroundFocus" | "outlineFiltered" | "outlineFocused" | "problemsViewFocus" | "problemFocus" | "problemsFilterFocus" | "relatedInformationFocus" | "inOutput" | "activeLogOutput" | "multiCursorModifier" | "saveConflictResolutionContext" | "markersNavigationVisible" | "hasWordHighlights" | "profileSessionState" | "extensionHostProfileRecorded" | "historyNavigationEnabled" | "historyNavigationWidget" | "nonEmptyWorkspace" | "defaultExtensionViews" | "searchMarketplaceExtensions" | "searchInstalledExtensions" | "searchOutdatedExtensions" | "searchEnabledExtensions" | "searchDisabledExtensions" | "hasInstalledExtensions" | "searchBuiltInExtensions" | "recommendedExtensions" | "defaultRecommendedExtensions" | "workspaceRecommendations" | "workspaceFolderRecommendations" | "addToWorkspaceRecommendations" | "addToWorkspaceFolderRecommendations">;
}, SchemaTypes.IGetContextQueryVariables>;
export declare function useGetContextLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>): [(options?: ApolloReactHooks.QueryLazyOptions<SchemaTypes.IGetContextQueryVariables>) => void, ApolloReactCommon.QueryResult<{
    __typename?: "Query";
} & {
    getContextData: {
        __typename?: "Context";
    } & {
        __typename?: "Context";
    } & Pick<SchemaTypes.IContext, "view" | "originalResourceScheme" | "viewItem" | "gitOpenRepositoryCount" | "isInDiffEditor" | "isInDiffRightEditor" | "resourceScheme" | "resourceFilename" | "resourceLangId" | "resource" | "resourceExtName" | "resourceSet" | "isFileSystemResource" | "inputFocus" | "suggestWidgetVisible" | "suggestWidgetMultipleSuggestions" | "suggestionMakesTextEdit" | "acceptSuggestionOnEnter" | "hasOtherSuggestions" | "groupFocusedInOpenEditors" | "dirtyEditor" | "resourceSelectedForCompare" | "fileCopied" | "breadcrumbsPossible" | "breadcrumbsVisible" | "breadcrumbsActive" | "canNavigateBack" | "canNavigateForward" | "canNavigateToLastEditLocation" | "dirtyDiffVisible" | "cancellableOperation" | "parameterHintsVisible" | "parameterHintsMultipleSignatures" | "markdownPreviewFocus" | "isMac" | "isLinux" | "isWindows" | "remoteAuthority" | "remoteConnectionState" | "hasMacNativeTabs" | "supportsWorkspaces" | "isDevelopment" | "workbenchState" | "workspaceFolderCount" | "remoteFileDialogVisible" | "isFullscreen" | "atEndOfWord" | "scmRepository" | "scmProvider" | "scmResourceGroup" | "inDiffEditorKey" | "isDominatedByLongLines" | "isWordWrapMinified" | "commentThread" | "commentThreadisEmpty" | "commentIsEmpty" | "commentEditorFocused" | "interfaceOverviewVisible" | "inReferenceSearchEditor" | "referenceSearchVisible" | "listFocus" | "listSupportsMultiSelect" | "listHasSelectionOrFocus" | "listDoubleSelection" | "listMultiSelection" | "listSupportsKeyboardNavigation" | "WorkbenchListAutomaticKeyboardNavigationKey" | "accessibilityHelpWidgetVisible" | "inQuickOpenKey" | "supportedCodeAction" | "hasSymbols" | "hasSnippetCompletions" | "messageVisible" | "editorHasCallHierarchyProvider" | "callHierarchyVisible" | "searchViewletVisible" | "searchViewletFocus" | "inputBoxFocus" | "searchInputBoxFocus" | "replaceInputBoxFocus" | "patternIncludesInputBoxFocus" | "patternExcludesInputBoxFocus" | "replaceActive" | "hasSearchResult" | "firstMatchFocus" | "fileMatchOrMatchFocus" | "fileMatchOrFolderMatchFocus" | "fileMatchFocus" | "folderMatchFocus" | "matchFocus" | "inRecentFilesPicker" | "inWindowsPicker" | "findWidgetVisible" | "findInputFocussed" | "replaceInputFocussed" | "editorTextFocus" | "editorFocus" | "textInputFocus" | "editorReadonly" | "editorHasSelection" | "editorHasMultipleSelections" | "editorTabMoveFocus" | "isInEmbeddedEditor" | "canUndo" | "canRedo" | "editorLangId" | "editorHasCompletionItemProvider" | "editorHasCodeActionsProvider" | "editorHasDefinitionProvider" | "editorHasDeclarationProvider" | "editorHasImplementationProvider" | "editorHasTypeDefinitionProvider" | "editorHasHoverProvider" | "editorHadDocumentHighlightProvider" | "editorHasDocumentSymbolProvider" | "editorHasReferenceProvider" | "editorHasRenameProvider" | "editorHasSignatureHelpProvider" | "editorHasDocumentFormattingProvider" | "editorHasDocumentSelectionFormattingProvider" | "editorHasMultipleDocumentSelectionFormattingProvider" | "activeEditor" | "editorIsOpen" | "editorPinned" | "groupActiveEditorDirty" | "groupEditorsCount" | "textCompareEditorVisible" | "textCompareEditorActive" | "activeEditorGroupEmpty" | "multipleEditorGroups" | "inZenMode" | "inCenteredLayout" | "splitEditorsVertically" | "sideBarVisible" | "sideBarFocus" | "activeViewlet" | "activePanel" | "panelFocus" | "panelPosition" | "debugType" | "debugConfigurationType" | "debugState" | "inDebugMode" | "inDebugRepl" | "breakpointWidgetVisible" | "watchExpressionsFocused" | "variablesFocused" | "expressionSelected" | "breakpointSelected" | "callStackItemType" | "loadedScriptsSupported" | "loadedScriptsItemType" | "focusedSessionIsAttach" | "stepBackSupported" | "restartFrameSupported" | "inSettingsEditor" | "inSettingsJSONEditor" | "inSettingsSearch" | "settingsTocRowFocus" | "inKeybindings" | "inKeybindingsSearch" | "keybindingFocus" | "explorerViewletVisible" | "explorerResourceIsFolder" | "explorerResourceReadonly" | "explorerResourceIsRoot" | "explorerResourceCut" | "explorerResourceMoveableToTrash" | "filesExplorerFocus" | "openEditorsVisible" | "openEditorsFocus" | "explorerViewletFocus" | "terminalIsOpen" | "terminalFocus" | "terminalTextSelected" | "terminalFindWidgetVisible" | "terminalFindWidgetInputFocused" | "terminalFindWidgetFocused" | "webviewFindWidgetVisible" | "taskRunning" | "referenceSearchTreeFocused" | "interactivePlaygroundFocus" | "outlineFiltered" | "outlineFocused" | "problemsViewFocus" | "problemFocus" | "problemsFilterFocus" | "relatedInformationFocus" | "inOutput" | "activeLogOutput" | "multiCursorModifier" | "saveConflictResolutionContext" | "markersNavigationVisible" | "hasWordHighlights" | "profileSessionState" | "extensionHostProfileRecorded" | "historyNavigationEnabled" | "historyNavigationWidget" | "nonEmptyWorkspace" | "defaultExtensionViews" | "searchMarketplaceExtensions" | "searchInstalledExtensions" | "searchOutdatedExtensions" | "searchEnabledExtensions" | "searchDisabledExtensions" | "hasInstalledExtensions" | "searchBuiltInExtensions" | "recommendedExtensions" | "defaultRecommendedExtensions" | "workspaceRecommendations" | "workspaceFolderRecommendations" | "addToWorkspaceRecommendations" | "addToWorkspaceFolderRecommendations">;
}, SchemaTypes.IGetContextQueryVariables>];
export declare type GetContextQueryHookResult = ReturnType<typeof useGetContextQuery>;
export declare type GetContextLazyQueryHookResult = ReturnType<typeof useGetContextLazyQuery>;
export declare type GetContextQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IGetContextQuery, SchemaTypes.IGetContextQueryVariables>;
