import { ContainerModule, interfaces } from 'inversify';
import {
    ClientTypes, IGeneratedSettings as ISettings, IContextKeyService, IEditorService, IModelService, IModeService,
    ICodeEditorService, IClientConfigurationService as IConfigurationService,
} from '@workbench-stack/core';
import { CodeEditorService, ModelService, ModeService, ResourceContextKey, ContextKeyService, ConfigurationService } from '../services';

export const workbenchModule: () => interfaces.ContainerModule =
    () => new ContainerModule((bind: interfaces.Bind) => {
        // bind<IEditorService>(ClientTypes.IEditorService).to(CodeEditorService as any);
        bind<ICodeEditorService>(ClientTypes.ICodeEditorService).to(CodeEditorService);
        bind<IModelService>(ClientTypes.IModelService).to(ModelService);
        bind<IModeService>(ClientTypes.IModeService).to(ModeService);
        bind<IContextKeyService>(ClientTypes.IContextKeyService).to(ContextKeyService);

        bind<ResourceContextKey>(ClientTypes.IResourceContextKey).to(ResourceContextKey);

        bind<IConfigurationService>(ClientTypes.IConfigurationService).to(ConfigurationService).inSingletonScope();
    });
